# Create a channel input type

Assigns an input type to a channel.

Endpoint: POST /v1/channels/{channelUuid}/input-types
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `channelUuid` (string, required)
    The unique identifier of the channel.

## Request fields (application/json):

  - `typeGroupUuid` (string, required)
    Identifier of the type group this input type belongs to.

  - `inputTypeUuid` (string, required)
    Identifier of the input type.

  - `requirementLevel` (string, required)
    Whether an input type is required or optional for a channel.
    Enum: "required", "optional"

  - `isScopable` (boolean, required)
    Whether the input type values can be scoped per channel.

## Response 201 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this channel input type.

  - `channelUuid` (string, required)
    Identifier of the channel this input type belongs to.

  - `typeGroupUuid` (string, required)
    Identifier of the type group this input type belongs to.

  - `inputTypeUuid` (string, required)
    Identifier of the input type.

  - `createdAt` (string, required)
    Timestamp when this channel input type was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this channel input type was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `requirementLevel` (string, required)
    Whether an input type is required or optional for a channel.
    Enum: "required", "optional"

  - `isScopable` (boolean, required)
    Whether the input type values can be scoped per channel.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


